package p20_konto;

import java.time.LocalDate;

public class Program {

	public static void main(String[] args) {
		Osoba ala = new Osoba("Ala", "Kowalska", LocalDate.of(2003, 6, 23));
		System.out.println(ala);
		System.out.println(ala.getImie() + " ma " + ala.getWiek() + " lat");
		ala.setImie("Alicja");
		System.out.println(ala.getImie() + " ma " + ala.getWiek() + " lat");

		Osoba ola = new Osoba("Ola", "Malinowska", 30);
		System.out.println(ola);
		
		Osoba adam = new Osoba("Adam", "Abacki", "1975-11-24");
		System.out.println(adam);
		System.out.println(adam.getWiek());
		System.out.println();
		
		Konto kontoAli = new Konto(1, 1000, ala);
		Konto kontoOli = new Konto(2, 2000, ola);
		
		System.out.println(kontoAli);
		System.out.println(kontoOli);
		System.out.println();
		
		kontoAli.wplata(500);
		try {
			kontoOli.wyplata(100);
		} catch (BrakSrodkow e) {
			System.err.println(e);
		}
		System.out.println(kontoAli);
		System.out.println(kontoOli);
		System.out.println();
		
		try {
			kontoAli.przelew(333, kontoOli);
		} catch (BrakSrodkow e) {
			System.err.println(e);
		}
		System.out.println(kontoAli);
		System.out.println(kontoOli);
	}

}
